CoCoALib - Feature #213

test-Normaliz1.C
31 Jul 2012 17:12 - Anna Maria Bigatti

Status: Closed Start date: 31 Jul 2012
Priority: Normal Due date:

Assignee: Christof Soeger % Done: 100%
Category: Various Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

for Christof: could you design a simple test with known output for Normaliz in src/test/test-Normaliz1.C?
The old test used to compute with machine integers and gmp and then compare the results.
Now the "double cone" include both, so that kind of test cannot be done.

Related issues:
Related to CoCoALib - Slug #417: ex-Normaliz2-overflow.in too long & too much... Closed 04 Dec 2013

History

#1 - 03 Aug 2012 15:33 - Christof Soeger
- % Done changed from 0 to 80

Added a test. It is the polytope example from the Normaliz example files. The test of the result could be more extensive, but | think this is enough.
This test should only check if the communication with libnormaliz works correctly and not be a complete test of libnormaliz.

#2 - 03 Aug 2012 19:00 - Anna Maria Bigatti

"This test should only check if the communication with libnormaliz works correctly and not be a complete test of libnormaliz."
Correct. Normaliz should check that ;-)

In fact the test should just check that every function ported into cocoa communicates properly and calls the Normaliz function it is supposed to ;-)

Code is now in CVS

#3 - 01 Oct 2012 15:43 - Christof Soeger
- Status changed from New to Closed

- % Done changed from 80 to 100
